Subject: Valentines Day is coming

From: "James Church" <[email-masked]>
Date: Sat, 26 Jan 2008 00:04:25 +0200

Looking at buying your loved_one a beautiful gift for Valentines Day
We have over 5000 Replicaproducts in stock at discounted prices
we use EMS shipping to make sure your order arrives fast and on time!
http://fpowecc.com